Package net.sf.saxon.functions

## Class Minimax.Max

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.CollatingFunctionFixed
      - - net.sf.saxon.functions.Minimax
        - - net.sf.saxon.functions.Minimax.Max

- All Implemented Interfaces:
    `Callable`, `StatefulSystemFunction`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    Minimax

      public static class Minimax.Max
      extends Minimax

  Concrete subclass to define the fn:max() function

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.Minimax

      `Minimax.Max, Minimax.Min`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Max()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isMaxFunction()` | Method to be implemented in subclasses to indicate whether the function implements fn:min() or fn:max()

    - ### Methods inherited from class net.sf.saxon.functions.Minimax

      `call, exportAttributes, getArgumentType, getAtomicComparer, getCardinality, getComparer, getResultItemType, getStreamerName, importAttributes, isIgnoreNaN, makeOptimizedFunctionCall, minimax, setIgnoreNaN, supplyTypeInformation`

    - ### Methods inherited from class net.sf.saxon.functions.CollatingFunctionFixed

      `copy, getPreAllocatedAtomicComparer, getStringCollator, isSubstringMatchingFunction, preAllocateComparer, setCollationName, setRetainedStaticContext`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, fixArguments, getArity, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, resultIfEmpty, setArity, setDetails, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### Max

          public Max()

  - ### Method Detail

    - #### isMaxFunction

          public boolean isMaxFunction()

      Description copied from class: `Minimax`
      Method to be implemented in subclasses to indicate whether the function implements fn:min() or fn:max()
      Specified by:
        `isMaxFunction` in class `Minimax`
      Returns:
        true if this is the fn:max() function